﻿using System.Collections.ObjectModel;
using System.Windows.Media;

namespace SilverlightApplication105
{
    public class People
    {
        public static ObservableCollection<Person> GetListOfPeople()
        {
            ObservableCollection<Person> ppl = new ObservableCollection<Person>();
            for (int i = 0; i < 15; i++)
            {
                Person p = new Person() { Firstname = "First " + i.ToString(), Lastname = "Last " + i.ToString() };
                ppl.Add(p);
            }
            return ppl;
        }
    }

    public class Person
    {
        public string Firstname { get; set; }
        public string Lastname { get; set; }
        public ImageSource Profile { get; set; }
        public string FullName
        {
            get
            {
                return string.Concat(Firstname, " ", Lastname);
            }
        }
    }
}